Get cancellation details
Get details of a cancellation for a transfer.
To access this endpoint using a token you'll need
to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/transfers/{transferID}/cancellations/{cancellationID}
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/cancellations/{cancellationID}" \
-H "Authorization: Bearer {token}" \
-H "X-Idempotency-Key: UUID" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string // facilitator ID
var transferID string
var cancellationID string
mc.GetCancellation(ctx, accountID, transferID, cancellationID)
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.transfers.getCancellation({
accountID: "55cb62c2-22e4-4a36-bd53-3b9adc77ee81",
transferID: "bc13b680-bac3-432e-bf44-e9aa6426cbb2",
cancellationID: "770cb4b5-d5b0-4e8b-995b-86b790296ba5",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->transfers->getCancellation(
accountID: '55cb62c2-22e4-4a36-bd53-3b9adc77ee81',
transferID: 'bc13b680-bac3-432e-bf44-e9aa6426cbb2',
cancellationID: '770cb4b5-d5b0-4e8b-995b-86b790296ba5'
);
if ($response->cancellation !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.transfers.get_cancellation(account_id="55cb62c2-22e4-4a36-bd53-3b9adc77ee81", transfer_id="bc13b680-bac3-432e-bf44-e9aa6426cbb2", cancellation_id="770cb4b5-d5b0-4e8b-995b-86b790296ba5")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.GetCancellationResponse;
public class Application {
public static void main(String[] args) throws Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
GetCancellationResponse res = sdk.transfers().getCancellation()
.accountID("55cb62c2-22e4-4a36-bd53-3b9adc77ee81")
.transferID("bc13b680-bac3-432e-bf44-e9aa6426cbb2")
.cancellationID("770cb4b5-d5b0-4e8b-995b-86b790296ba5")
.call();
if (res.cancellation().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.transfers.get_cancellation(account_id: '55cb62c2-22e4-4a36-bd53-3b9adc77ee81', transfer_id: 'bc13b680-bac3-432e-bf44-e9aa6426cbb2', cancellation_id: '770cb4b5-d5b0-4e8b-995b-86b790296ba5')
unless res.cancellation.nil?
# handle response
endThe request completed successfully.
{
"cancellationID": "89ca7f54-13ba-4714-b9af-17163eae2057",
"createdOn": "2025-01-19T03:02:43.255309588Z",
"status": "completed"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Moov account ID of the partner or transfer's source or destination.
transferID
string
required
Identifier for the transfer.
cancellationID
string
required
Identifier for the cancellation.
Response
cancellationID
string
required
createdOn
string<date-time>
required
status
string<enum>
required
Possible values:
pending,
completed,
failed